Tag: модернизация

Обновите Linux 10 Mint Julia до 13 Maya

Каждый раз, когда я пытаюсь apt-get update он приходит к следующему: Err http://archive.ubuntu.com Точные / основные пакеты amd64 404 Не найдено [IP: 91.189.91.14 80] Err http://archive.ubuntu.com Точные / ограниченные пакеты amd64 404 Не найдено [IP: 91.189.91.14 80] Что я делаю не так?

Манджаро: не обновлять приложение

У меня есть несколько локальных dev-серверов, настроенных на LAMP. Каждый раз, когда Manjaro (на основе Arch) обновляет свое программное обеспечение, PHP необходимо переустановить для поддержки потоковой передачи. Мне не нужно обновлять Apache или PHP, так как я могу сказать Linux не обновлять эти пакеты?

W: Целевые переводы

Я был отправлен сюда с моим вопросом, потому что я запускаю Linux Mint Mate, и askubuntu не поддерживает помощь с моей операционной системой, поэтому, надеюсь, кто-то здесь может помочь. Если этот вопрос уже был опубликован, я приношу свои извинения и с удовольствием его сниму. Мои списки источников, похоже, не имеют ничего в них, когда я […]

неустойчивое apt-пиннинг, установленное на -1 на стабильном Debian

Так выглядит мой /etc/apt/sources.list на Debian 8.1: #### stable ######### deb http://httpredir.debian.org/debian stable main contrib non-free deb-src http://httpredir.debian.org/debian stable main contrib non-free deb http://httpredir.debian.org/debian stable-backports main contrib non-free deb-src http://httpredir.debian.org/debian stable-backports main contrib non-free deb http://httpredir.debian.org/debian stable-updates main contrib non-free deb-src http://httpredir.debian.org/debian stable-updates main contrib non-free deb http://security.debian.org stable/updates main contrib non-free deb-src http://security.debian.org stable/updates […]

E: Пакет linux-headers-3.5.0-54 необходимо переустановить, но я не могу найти для него архив. «при обновлении системы

Я использую Ubuntu 12.04, и я пытаюсь обновить до 14.04.1, используя терминал, используя: do-release-upgrade но я продолжаю получать следующую ошибку: SystemError: E:The package linux-headers-3.5.0-54 needs to be reinstalled, but I can't find an archive for it. Как исправить ошибку и продолжить обновление? Выход для sudo apt-get check : Reading package lists… Done Building dependency tree […]

Каковы последствия для безопасности, связанные с отсутствием источников «security.debian.org» из sources.list в Debian Jessie?

Я занимаюсь модернизацией автономного двухъядерного четырехъядерного сервера Xeon PowerEdge от Wheezy до Jessie. Следуя инструкциям debian.org для обновления, упоминается только следующая строка deb которая должна быть помещена в sources.list : deb http://mirrors.kernel.org/debian jessie main contrib В этом вопросе и ответе я узнал, что источник jessie/updates на security.debian.org поставляет «Критически важные для безопасности обновления … обеспечит […]

Как запускать автоматические обновления не ежедневно, а каждые несколько часов

По умолчанию автоматические обновления выполняются cron.daily, что не более чем ежедневно. Это может быть много времени для злоумышленников. Я хотел бы запускать его каждые 4 часа, как я могу это сделать?

Что означает «Следующие пакеты были сохранены»?

При apt-get upgrade я иногда получаю сообщение о том, что «Следующие пакеты были сохранены». Например: $ sudo apt-get upgrade Reading package lists… Done Building dependency tree Reading state information… Done The following packages have been kept back: linux-headers-server linux-image-server linux-server 0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded. Что это значит? […]

отключить apt-listchanges (и другие интерактивные материалы) во время обновлений (надежно)

Должен признаться, я действительно ненавижу apt-listchanges. Если я собираюсь сделать огромное обновление, я хочу просто оставить компьютер там на несколько часов. Вопрос об этом вопросе serverfault имел аналогичную цель, но после выполнения всех предложений в этом сообщении я все еще попадал в apt-listchanges . Почему так сложно достичь неинтерактивности с apt , отличной от других […]

Linux – отображение или обновление обновлений безопасности только с использованием apt

есть ли способ перечислить или установить обновления безопасности только с помощью apt? если я перечислил обновления с помощью: apt list –upgradable могу ли я видеть, не зная пакетов и библиотек, обновлениями которых являются соответствующие обновления безопасности . и, кроме того, существует ли возможность применять их только пропущенными другими, поэтому обновления, связанные с безопасностью , будут […]

Linux и Unix - лучшая ОС в мире.